import httpAjax from '@/zTool/httpAjax.js';
export default {
    name: 'system',
    apis: {
			
				// 数据源-获取数据源列表
				getListDataSource(pageNo, pageSize, query) {
						return httpAjax('post', '/ecent/dataCollection/dataSource/list/' + pageNo + '/' + pageSize, query)
				},
				// 数据源-获取一条数据源
				getSingleDataSource(query) {
						return httpAjax('post', '/ecent/dataCollection/dataSource/getSingle?id=' + query)
				},
				// 数据源-新增数据
				addDataSource(query) {
						return httpAjax('post', '/ecent/dataCollection/dataSource/add', query)
				},
				// 数据源-修改数据
				updateDataSource(query) {
						return httpAjax('post', '/ecent/dataCollection/dataSource/update', query)
				},
				// 数据源-删除数据
				deleteDataSource(query) {
						return httpAjax('post', '/ecent/dataCollection/dataSource/delete?id=' + query)
				},
				// 数据源-连接测试
				testDataSource(query) {
						return httpAjax('post', '/ecent/dataCollection/dbConnectTest', query)
				},
				
				// 数据源-获取任务列表
				getListTash(pageNo, pageSize, query) {
						return httpAjax('post', '/ecent/dataCollection/synchroTash/list/' + pageNo + '/' + pageSize, query)
				},
				// 数据源-获取一条任务
				getSingleTash(query) {
						return httpAjax('post', '/ecent/dataCollection/synchroTash/getSingle?id=' + query)
				},
				// 数据源-新增任务
				addTash(query) {
						return httpAjax('post', '/ecent/dataCollection/synchroTash/add', query)
				},
				// 数据源-修改任务
				updateTash(query) {
						return httpAjax('post', '/ecent/dataCollection/synchroTash/update', query)
				},
				// 数据源-删除任务
				deleteTash(query) {
						return httpAjax('post', '/ecent/dataCollection/synchroTash/delete?id=' + query)
				},
				// 数据源-同步任务
				executeTashDataSource(query) {
						return httpAjax('post', '/ecent/dataCollection/synchroTash/execute', query)
				},
				
				// 质量-获取标准码列表
				getListStdcode(pageNo, pageSize, query) {
						return httpAjax('post', '/ecent/quality/stdcode/list/' + pageNo + '/' + pageSize, query)
				},
				// 质量-获取一条标准码
				getSingleStdcode(query) {
						return httpAjax('post', '/ecent/quality/stdcode/getSingle?id=' + query)
				},
				// 质量-新增标准码
				addStdcode(query) {
						return httpAjax('post', '/ecent/quality/stdcode/add', query)
				},
				// 质量-修改标准码
				updateStdcode(query) {
						return httpAjax('post', '/ecent/quality/stdcode/update', query)
				},
				// 质量-删除标准码
				deleteStdcode(query) {
						return httpAjax('post', '/ecent/quality/stdcode/delete?id=' + query)
				},
				
				// 质量-获取标准码类型列表
				getListStdcodeType(pageNo, pageSize, query) {
						return httpAjax('post', '/ecent/quality/stdcodeType/list/' + pageNo + '/' + pageSize, query)
				},
				
				// 质量-获取编码映射列表
				getListMapper(pageNo, pageSize, query) {
						return httpAjax('post', '/ecent/quality/mapper/list/' + pageNo + '/' + pageSize, query)
				},
				// 质量-获取一条编码映射
				getSingleMapper(query) {
						return httpAjax('post', '/ecent/quality/mapper/getSingle?id=' + query)
				},
				// 质量-新增编码映射
				addMapper(query) {
						return httpAjax('post', '/ecent/quality/mapper/add', query)
				},
				// 质量-修改编码映射
				updateMapper(query) {
						return httpAjax('post', '/ecent/quality/mapper/update', query)
				},
				// 质量-删除编码映射
				deleteMapper(query) {
						return httpAjax('post', '/ecent/quality/mapper/delete?id=' + query)
				},
				// 质量-贴源数据表
				odsTableList(query) {
						return httpAjax('post', '/ecent/dataCollection/dtcollectLoadTableInfo/listTableInfo/1/20', query)
				},
				
				// 质量-获取评估规则列表
				getListRule(pageNo, pageSize, query) {
						return httpAjax('post', '/ecent/quality/rule/list/' + pageNo + '/' + pageSize, query)
				},
				// 质量-获取一条评估规则
				getSingleRule(query) {
						return httpAjax('post', '/ecent/quality/rule/getSingle?id=' + query)
				},
				// 质量-新增评估规则
				addRule(query) {
						return httpAjax('post', '/ecent/quality/rule/add', query)
				},
				// 质量-修改评估规则
				updateRule(query) {
						return httpAjax('post', '/ecent/quality/rule/update', query)
				},
				// 质量-删除评估规则
				deleteRule(query) {
						return httpAjax('post', '/ecent/quality/rule/delete?id=' + query)
				},
				
				// 质量-获取任务批次列表
				getListBatch(pageNo, pageSize, query) {
						return httpAjax('post', '/ecent/quality/batch/list/' + pageNo + '/' + pageSize, query)
				},
				// 质量-获取一条任务批次
				getSingleBatch(query) {
						return httpAjax('post', '/ecent/quality/batch/getSingle?id=' + query)
				},
				// 质量-新增任务批次
				addBatch(query) {
						return httpAjax('post', '/ecent/quality/batch/add', query)
				},
				// 质量-修改任务批次
				updateBatch(query) {
						return httpAjax('post', '/ecent/quality/batch/update', query)
				},
				// 质量-删除任务批次
				deleteBatch(query) {
						return httpAjax('post', '/ecent/quality/batch/delete?id=' + query)
				},
				// 质量-同步任务
				executeTashBatch(query) {
						return httpAjax('post', '/ecent/quality/synchroTash/execute', query)
				},
				
				// 转换-获取转换规则列表
				getListRegulation(pageNo, pageSize, query) {
						return httpAjax('post', '/ecent/transform/rule/list/' + pageNo + '/' + pageSize, query)
				},
				// 转换-获取一条转换规则
				getSingleRegulation(query) {
						return httpAjax('post', '/ecent/transform/rule/getSingle?id=' + query)
				},
				// 转换-新增转换规则
				addRegulation(query) {
						return httpAjax('post', '/ecent/transform/rule/add', query)
				},
				// 转换-修改转换规则
				updateRegulation(query) {
						return httpAjax('post', '/ecent/transform/rule/update', query)
				},
				// 转换-删除转换规则
				deleteRegulation(query) {
						return httpAjax('post', '/ecent/transform/rule/delete?id=' + query)
				},
				
				// 转换-获取转换任务列表
				getListTranBatch(pageNo, pageSize, query) {
						return httpAjax('post', '/ecent/transform/batch/list/' + pageNo + '/' + pageSize, query)
				},
				// 转换-获取一条转换任务
				getSingleTranBatch(query) {
						return httpAjax('post', '/ecent/transform/batch/getSingle?id=' + query)
				},
				// 转换-新增转换任务
				addTranBatch(query) {
						return httpAjax('post', '/ecent/transform/batch/add', query)
				},
				// 转换-修改转换任务
				updateTranBatch(query) {
						return httpAjax('post', '/ecent/transform/batch/update', query)
				},
				// 转换-删除转换任务
				deleteTranBatch(query) {
						return httpAjax('post', '/ecent/transform/batch/delete?id=' + query)
				},
				// 转换-同步任务
				executeTranBatch(query) {
						return httpAjax('post', '/ecent/transform/synchroTash/execute', query)
				},
				
				// 标签-获取标签生成规则列表
				getListTagRule(pageNo, pageSize, query) {
						return httpAjax('post', '/ecent/tagGenerate/rule/list/' + pageNo + '/' + pageSize, query)
				},
				// 标签-获取一条标签生成规则
				getSingleTagRule(query) {
						return httpAjax('post', '/ecent/tagGenerate/rule/getSingle?id=' + query)
				},
				// 标签-新增标签生成规则
				addTagRule(query) {
						return httpAjax('post', '/ecent/tagGenerate/rule/add', query)
				},
				// 标签-修改标签生成规则
				updateTagRule(query) {
						return httpAjax('post', '/ecent/tagGenerate/rule/update', query)
				},
				// 标签-删除标签生成规则
				deleteTagRule(query) {
						return httpAjax('post', '/ecent/tagGenerate/rule/delete?id=' + query)
				},
				
				// 标签-获取任务批次列表
				getListTagBatch(pageNo, pageSize, query) {
						return httpAjax('post', '/ecent/tagGenerate/batch/list/' + pageNo + '/' + pageSize, query)
				},
				// 标签-获取一条标签任务批次
				getSingleTagBatch(query) {
						return httpAjax('post', '/ecent/tagGenerate/batch/getSingle?id=' + query)
				},
				// 标签-新增标签任务批次
				addTagBatch(query) {
						return httpAjax('post', '/ecent/tagGenerate/batch/add', query)
				},
				// 标签-修改标签任务批次
				updateTagBatch(query) {
						return httpAjax('post', '/ecent/tagGenerate/batch/update', query)
				},
				// 标签-删除标签任务批次
				deleteTagBatch(query) {
						return httpAjax('post', '/ecent/tagGenerate/batch/delete?id=' + query)
				},
				// 标签-同步任务
				executeTagBatch(query) {
						return httpAjax('post', '/ecent/tagGenerate/synchroTash/execute', query)
				},
				
				// 基础-批次列表
				getBatchLists(pageNo, pageSize, query) {
						return httpAjax('post', '/ecent/baseTable/batch/list/' + pageNo + '/' + pageSize, query)
				},
				
				// 场景-滞留卡人员分析
				getListHeldcard(pageNo, pageSize, query) {
						return httpAjax('post', '/ecent/scene/heldcard/list/' + pageNo + '/' + pageSize, query)
				},
				// 场景-滞留卡人员分析-文件下载
				getFileHeldcard() {
						return httpAjax('get', '/ecent/scene/heldcard.xls')
				},
				// 场景-信用卡潜在优质客户
				getListHighQuality(pageNo, pageSize, query) {
						return httpAjax('post', '/ecent/scene/cchqc/list/' + pageNo + '/' + pageSize, query)
				},
				// 场景-欠薪预警列表1
				getListPayAlarm(pageNo, pageSize, query) {
						return httpAjax('post', '/ecent/scene/backPayAlarm/list/' + pageNo + '/' + pageSize, query)
				},
				// 场景-欠薪预警列表2
				getListPayAlarmChart(query) {
						return httpAjax('post', '/ecent/scene/backPayAlarm/chart?zzjgdm=' + query)
				},
				// 场景-企业舆情
				getListPayConsensus(pageNo, pageSize, query) {
						return httpAjax('post', '/ecent/scene/company/yuqing/list/' + pageNo + '/' + pageSize + '?keyword=' + query)
				},
				// 场景-标签信息列表
				getListTagGala(pageNo, pageSize, query) {
						return httpAjax('post', '/ecent/scene/gmxx/list/' + pageNo + '/' + pageSize, query)
				},
				// 场景-获取一人标签信息
				getListCitizenTagGala(pageNo, pageSize, query) {
						return httpAjax('post', '/ecent/scene/lables/listbygmsfzh/' + pageNo + '/' + pageSize, query)
				},
				// 脱敏-规则列表
				getDestLists(pageNo, pageSize, query) {
					return httpAjax('post', '/ecent/desensitization/rule/list/' + pageNo + '/' + pageSize, query)
				},
				// 获取单条任务批次
				getSingleDest(query) {
					return httpAjax('post', '/ecent/desensitization/rule/getSingle?id=' + query)
				},
				// 修改任务批次
				updateDest(query) {
					return httpAjax('post', '/ecent/desensitization/rule/update', query)
				},
				// 新增任务批次
				addDest(query) {
					return httpAjax('post', '/ecent/desensitization/rule/add/', query)
				},
				// 删除任务批次
				deleteDest(query) {
					return httpAjax('post', '/ecent/desensitization/rule/delete?id=' + query)
				},
				// 任务表-规则列表
				getTestLists(pageNo, pageSize, query) {
					return httpAjax('post', '/ecent/desensitization/taskTable/list/' + pageNo + '/' + pageSize, query)
				},
				// 获取单条任务批次
				getSingleTest(query) {
					return httpAjax('post', '/ecent/desensitization/taskTable/getSingle?id=' + query)
				},
				// 修改任务批次
				updateTest(query) {
					return httpAjax('post', '/ecent/desensitization/taskTable/update', query)
				},
				// 新增任务批次
				addTest(query) {
					return httpAjax('post', '/ecent/desensitization/taskTable/add/', query)
				},
				// 删除任务批次
				deleteTest(query) {
					return httpAjax('post', '/ecent/desensitization/taskTable/delete?id=' + query) 
				},
				// 启停
				examine(val,id,status) {
					return httpAjax('post', '/ecent/desensitization/taskTable/updateStatus?id='+id+'&&'+'val='+val+'&&'+'status='+status)
				},
				// 审核
				Examine(query) {
					return httpAjax('post', '/ecent/desensitization/taskTable/verify', query)
				},

				// 脱敏表字段列表
				getTableLists(pageNo, pageSize, query) {
					return httpAjax('post', '/ecent/desensitization/taskTableField/list/' + pageNo + '/' + pageSize, query)
				},
				// 获取单条脱敏表
				getSingleTable(query) {
					return httpAjax('post', '/ecent/desensitization/taskTableField/getSingle?id=' + query)
				},
				// 修改脱敏表
				updateTable(query) {
					return httpAjax('post', '/ecent/desensitization/taskTableField/update', query)
				},
				// 新增任脱敏表
				addTable(query) {
					return httpAjax('post', '/ecent/desensitization/taskTableField/add/', query)
				},
				// 删除脱敏表
				deleteTable(query) {
					return httpAjax('post', '/ecent/desensitization/taskTableField/delete?id=' + query) 
				},
				// 审核
				ETxamine(query) {
					return httpAjax('post', '/ecent/desensitization/taskTableField/verify', query)
				},
				
        //获取归集任务数据
        getGJdata(tash_batch_id){
            return httpAjax('post','/ecent/dataCollection/synchroTash/getTashDataStatus?batchId='+tash_batch_id)
        },
         //获取评估数据
         getPGdata(tash_batch_id){
            return httpAjax('post','/ecent/quality/synchroTash/getTashDataStatus?tash_batch_id='+tash_batch_id)
        },
        //获取转换清洗数据
        getZHdata(tash_batch_id){
            return httpAjax('post','/ecent/transform/synchroTash/getTashDataStatus?tash_batch_id='+tash_batch_id)
        },
        //获取标签数据
        getBTdata(tash_batch_id){
						return httpAjax('post','/ecent/tagGenerate/synchroTash/getTashDataStatus?tash_batch_id='+tash_batch_id )
				},
				//获取概览数据
				getGLdata(){
						return httpAjax('post','/ecent/dpController/getGeneralMsg')
				},
				//获取概览echart数据
				getGLdataeachart(){
						return httpAjax('post','/ecent/dpController/getChartsMsg')
				},
				
				//DP管控台(新)
				//获取概况
				getListGeneralRTK(query){
						return httpAjax('post','/ecent/dpsControl/general/list/1/999', query)
				},
				//获取采集
				getListDtCollect(){
						return httpAjax('post','/ecent/dpsControl/dtCollect/list/1/999')
				},
				//获取采集数据源
				getListDtCollectDataSource(){
						return httpAjax('post','/ecent/dpsControl/dtCollectDataSource/list/1/999')
				},
				//获取评估
				getListDtQuality(){
						return httpAjax('post','/ecent/dpsControl/dtQuality/list/1/999')
				},
				//获取清洗
				getListDtClean(){
						return httpAjax('post','/ecent/dpsControl/dtClean/list/1/999')
				},
				//获取标签
				getListDtLabel(){
						return httpAjax('post','/ecent/dpsControl/dtLabel/list/1/999')
				},
    },
};
