import React, { Component } from 'react';
import { getControl } from 'zorod/components/Zform/controls';
import { ZsearchListHOC } from 'zorod';
import api from '@/Api';
import { Card, Form, Input, Button, message, Icon, Checkbox, Select,Cascader} from 'antd';

const FormItem=Form.Item;
const TextArea=Input.TextArea;

const formItemLayout = {
    labelCol: { span: 4 },
    wrapperCol: { span: 12 },
  };
  const formTailLayout = {
    labelCol: { span: 4 },
    wrapperCol: { span: 12, offset: 4 },
  };
  const formButtom={
    wrapperCol: { span: 12, offset: 6 }
  }
const residences=["baijing","hunian","guangxi"];

class EcTashDataAddType extends Component {
    constructor(props) {
        super(props);
        this.state = {}
    }

    //表单提交
    handelsubmit=()=>{
        let userInfo=this.props.form.getFieldsValue;
        this.props.form.validateFields((err,values)=>{
              if(!err){
                  console.log(values);
                message.success(`添加成功!!!`);
              }
        });
    }


    //取消
    handelConcel=()=>{
			this.setState({
				popShow: false
			})
    }

    render() { 
        const { getFieldDecorator, getFieldsError, getFieldError, isFieldTouched } = this.props.form;
        return ( 
            <div>
              <div>
    <Card title="任务配置">
      <Form >
      
          <FormItem label="数据新增类型" {...formItemLayout}>            
          {getFieldDecorator('DATA_ADD_TYPE', {
              initialValue: ['1'],
            rules: [
              { required: true, message: '请选择类型' },
            ],
          })(<Select>
               <option value="1">全量</option>
              <option value="2">增量</option>
          </Select>)}
          </FormItem>

          <FormItem label="增量字段" {...formItemLayout}>            
            {getFieldDecorator('DATA_ADD_FIELD', {
            rules: [
              {
                required: false,
                message: '请输入增量字段',
              },
            ],
          })(<TextArea placeholder="请输入增量字段" minRows="2" maxRows="6" />)}
          </FormItem>

          <FormItem label="增量限定条件" {...formItemLayout}>            
            {getFieldDecorator('DATA_ADD_CONDITION', {
            rules: [
              {
                required: false,
                message: '请输入增量限定条件',
              },
            ],
          })(<TextArea placeholder="请输入增量限定条件" minRows="2" maxRows="6" />)}
          </FormItem>
          
          <FormItem  {...formButtom}>            
               <Button type="primary" onClick={this.handelsubmit}>保存</Button>&nbsp;&nbsp;&nbsp;&nbsp;
               <Button onClick={this.handelConcel}>取消</Button>
          </FormItem>

      </Form>
    </Card>
  </div>
            </div>
         );
    }
    
}
export default Form.create({ name: 'EcTashDataAddType' })(EcTashDataAddType);
//export default EcTashAdd;